package com.bytedance.fresco.animatedheif;

import X.QJB;
import android.graphics.Bitmap;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class HeifFrame implements QJB {
    public long mNativeContext;

    static {
        Covode.recordClassIndex(26360);
    }

    private native void nativeDispose();

    private native void nativeFinalize();

    private native int nativeGetDurationMs();

    private native int nativeGetHeight();

    private native int nativeGetWidth();

    private native int nativeGetXOffset();

    private native int nativeGetYOffset();

    private native boolean nativeIsBlendWithPreviousFrame();

    private native void nativeRenderFrame(int i, int i2, Bitmap bitmap);

    private native boolean nativeShouldDisposeToBackgroundColor();

    public void dispose() {
        MethodCollector.i(11792);
        nativeDispose();
        MethodCollector.o(11792);
    }

    public int getDurationMs() {
        MethodCollector.i(12006);
        int nativeGetDurationMs = nativeGetDurationMs();
        MethodCollector.o(12006);
        return nativeGetDurationMs;
    }

    public int getHeight() {
        MethodCollector.i(12008);
        int nativeGetHeight = nativeGetHeight();
        MethodCollector.o(12008);
        return nativeGetHeight;
    }

    public int getWidth() {
        MethodCollector.i(12007);
        int nativeGetWidth = nativeGetWidth();
        MethodCollector.o(12007);
        return nativeGetWidth;
    }

    public int getXOffset() {
        MethodCollector.i(12009);
        int nativeGetXOffset = nativeGetXOffset();
        MethodCollector.o(12009);
        return nativeGetXOffset;
    }

    public int getYOffset() {
        MethodCollector.i(12010);
        int nativeGetYOffset = nativeGetYOffset();
        MethodCollector.o(12010);
        return nativeGetYOffset;
    }

    public boolean isBlendWithPreviousFrame() {
        MethodCollector.i(5943);
        boolean nativeIsBlendWithPreviousFrame = nativeIsBlendWithPreviousFrame();
        MethodCollector.o(5943);
        return nativeIsBlendWithPreviousFrame;
    }

    public boolean shouldDisposeToBackgroundColor() {
        MethodCollector.i(5874);
        boolean nativeShouldDisposeToBackgroundColor = nativeShouldDisposeToBackgroundColor();
        MethodCollector.o(5874);
        return nativeShouldDisposeToBackgroundColor;
    }

    public HeifFrame(long j) {
        this.mNativeContext = j;
    }

    public void renderFrame(int i, int i2, Bitmap bitmap) {
        MethodCollector.i(11793);
        nativeRenderFrame(i, i2, bitmap);
        MethodCollector.o(11793);
    }
}
